Name:           spamoracle
Version:        1.6
%define url_ver %(tr -d '.' <<< %version)
Release:        %mkrel 1
Group:          Networking/Mail
Summary:        Spam filter based on statistical analysis of e-mail contents
License:        GPLv2
URL:            https://xavierleroy.org/software.html#spamoracle
Source0:        https://github.com/xavierleroy/spamoracle/archive/release%{url_ver}.tar.gz
BuildRequires:  ocaml

%description
SpamOracle is a tool to help detect and filter away "spam"
(unsolicited commercial e-mail).  It proceeds by statistical analysis
of the words that appear in the e-mail, comparing the frequencies of
words with those found in a user-provided corpus of known spam and
known legitimate e-mail.  The classification algorithm is based on
Bayes' formula, and is described in Paul Graham's paper, "A plan for
spam", <http://www.paulgraham.com/spam.html>.

%prep
%setup -q -n %{name}-release%{url_ver}

%build
%__make \
        OCAMLOPT="ocamlopt -g" \
        OCAMLC="ocamlc -g"

%install
%__mkdir_p %{buildroot}/{%{_bindir},%{_mandir}/{man1,man5}}
%__make install \
  BINDIR=%{buildroot}%{_bindir} \
  MANDIR=%{buildroot}%{_mandir}

%files
%doc README Changes
%{_bindir}/spamoracle
%{_mandir}/man1/spamoracle.1*
%{_mandir}/man5/spamoracle.conf.5*


%changelog
* Sat Mar 21 2020 danf <danf> 1.6-1.mga8
+ Revision: 1558690
- Updated to ver. 1.6
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4-11.mga7
+ Revision: 1301124
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Mon Feb 12 2018 daviddavid <daviddavid> 1.4-10.mga7
+ Revision: 1200679
- option '-unsafe-string' is required with ocaml 4.06.0

* Mon Oct 02 2017 daviddavid <daviddavid> 1.4-9.mga7
+ Revision: 1162614
- enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 1.4-8.mga6
+ Revision: 1056498
- Rebuild for fix in ocaml

* Mon Feb 08 2016 umeabot <umeabot> 1.4-7.mga6
+ Revision: 947115
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-6.mga5
+ Revision: 739855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 689264
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 518450
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 382421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.4-2.mga3
+ Revision: 301691
- new rpm group for ocaml

* Thu Apr 19 2012 blue_prawn <blue_prawn> 1.4-1.mga2
+ Revision: 231876
- Import package from Mandriva

